Loading...
Searching...
No Matches
gr::paths Namespace Reference

## Functions

GR_RUNTIME_API std::filesystem::path | tmp ()
| directory to create temporary files.
GR_RUNTIME_API std::filesystem::path | appdata ()
| directory that stores user data; typicall $HOME
GR_RUNTIME_API std::filesystem::path | userconf ()
| directory that stores configuration.
GR_RUNTIME_API std::filesystem::path | cache ()
| directory to store non-portable caches (e.g. FFTW wisdom)
GR_RUNTIME_API std::filesystem::path | persistent ()
| directory to store persistent application state (e.g. window layouts, generated GRC hier blocks)

## Function Documentation

## appdata()

GR_RUNTIME_API std::filesystem::path gr::paths::appdata | ( |  | ) |

directory that stores user data; typicall $HOME

References GR_RUNTIME_API.

## cache()

GR_RUNTIME_API std::filesystem::path gr::paths::cache | ( |  | ) |

directory to store non-portable caches (e.g. FFTW wisdom)

Defaults to $XDG_CACHE_HOME, falls back to appdata()/cache

References GR_RUNTIME_API.

## persistent()

GR_RUNTIME_API std::filesystem::path gr::paths::persistent | ( |  | ) |

directory to store persistent application state (e.g. window layouts, generated GRC hier blocks)

References GR_RUNTIME_API.

## tmp()

GR_RUNTIME_API std::filesystem::path gr::paths::tmp | ( |  | ) |

directory to create temporary files.

On UNIX-oid systems, typically /tmp.

References GR_RUNTIME_API.

## userconf()

GR_RUNTIME_API std::filesystem::path gr::paths::userconf | ( |  | ) |

directory that stores configuration.

Defaults to $XDG_CONFIG_HOME/gnuradio (fallback: appdata()/.config/gnuradio), but if that doesn't exist, checks the legacy path, appdata()/.gnuradio

References GR_RUNTIME_API.